Skip to main content
GET
Get webhook

Path Parameters

workspaceId
string<uuid>
required

Workspace identifier.

webhookId
string
required

Opaque identifier of the webhook.

Pattern: ^whk_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

Workspace webhook response.

Workspace webhook response.

consecutiveFailures
integer<int32>
required

Consecutive failed deliveries since the last success.

createdAt
string<date-time>
required

Timestamp when this webhook was first created.

createdBy
object
required

Account that created this webhook.

description
string
required

Detailed description of the webhook's purpose.

displayName
string
required

Human-readable name for the webhook.

events
string[]
required

List of event types this webhook receives.

The types of events that can trigger webhook delivery.

Corresponds to the WEBHOOK_EVENT PostgreSQL enum and configures which events a webhook receives.

Allowed value: "document.created"
headers
object
required

Custom headers included in webhook requests.

id
string
required

Opaque identifier of the webhook.

Pattern: ^whk_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
status
required

Current status of the webhook.

Allowed value: "enabled"
updatedAt
string<date-time>
required

Timestamp when this webhook was last modified.

url
string
required

The URL to send webhook payloads to.

workspaceHandle
string
required

URL-safe workspace handle. Display-only.

Required string length: 3 - 32
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
workspaceId
string<uuid>
required

Unique identifier of the workspace.

lastFailureAt
string<date-time>

Timestamp of the most recent failed delivery.

lastSuccessAt
string<date-time>

Timestamp of the most recent successful delivery.